"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@forms.js/core");
const vue_1 = require("vue");
const Form = (0, vue_1.defineComponent)({
    props: {
        options: {
            type: Object,
            required: true,
        },
        plugins: {
            type: Array,
            required: false,
        },
    },
    data() {
        return {
            formInstance: null,
        };
    },
    methods: {
        getForm() {
            return this.formInstance;
        },
    },
    render() {
        return (0, vue_1.h)('div', {
            attrs: { 'data-formsjs-id': this.$props.options.id },
        });
    },
    mounted() {
        var _a;
        (0, core_1.usePlugin)((_a = this.$props.plugins) !== null && _a !== void 0 ? _a : []);
        this.formInstance = new core_1.Form(this.$el, this.$props.options);
    },
    beforeUnmount() {
        const form = this.getForm();
        form === null || form === void 0 ? void 0 : form.destroy();
    },
    watch: {},
});
exports.default = Form;
