import { Form as FormConstructor, usePlugin } from '@forms.js/core';
import { defineComponent, h } from 'vue';
const Form = defineComponent({
    props: {
        options: {
            type: Object,
            required: true,
        },
        plugins: {
            type: Array,
            required: false,
        },
    },
    data() {
        return {
            formInstance: null,
        };
    },
    methods: {
        getForm() {
            return this.formInstance;
        },
    },
    render() {
        return h('div', {
            attrs: { 'data-formsjs-id': this.$props.options.id },
        });
    },
    mounted() {
        var _a;
        usePlugin((_a = this.$props.plugins) !== null && _a !== void 0 ? _a : []);
        this.formInstance = new FormConstructor(this.$el, this.$props.options);
    },
    beforeUnmount() {
        const form = this.getForm();
        form === null || form === void 0 ? void 0 : form.destroy();
    },
    watch: {},
});
export default Form;
